## calendar-exchange-provider 3.2.0~beta38

=== debian/changelog ===
calendar-exchange-provider (3.2.0~beta38-1) unstable; urgency=low

  * New upstream release
    - Fix a bug when sometimes the date/time is shifted on Free/busy info
      in calendar of someone else.
    - Added preference userAgent. User can now specify their own userAgent
      string to use in communication.
    - Fix Bug 277 - Cannot extend the time on a calendar event (Exchange2007).
    - Improved Out Of Office text editor so it is fully HTML aware again.
    - Improved memory usage.
    - Fix Bug 287 - no folder details anymore in the ews settings of calendar.
    - Updated French and German locale.
    - Fix Bug 291 - Modify instance of recurring meeting fails silently.
    - Access Control List functionality of Lightning now follows user rights
      and permissions.
    - Fix Bug 276 - Duplicate entries, wrong hours and sometimes missing entries
      when viewing other calendars.
    - Fix Bug 273 - Timezone in US or Canada triggers XML error and results
      in HTTP 400 Bad Request.
    - Fixed problem where the add-on would not show events and task against
      an Exchange2013 server.
    - Fix Bug 162 - Changing recurring meeting to Wednesdays, moved it
      to Thursday.
  * Update typelib generation and IDL include path in d/rules.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 31 May 2013 07:06:42 +0200

calendar-exchange-provider (3.2.0~beta9-1) experimental; urgency=low

  * New upstream release
    - Fix Bug 162 - Changing recurring meeting moved it to a wrong day,
    - Introduced loading/showing a contact image when one is available,
    - Fix a bug where creation of new tasks and events was not possible,
    - Finalized autocompletion.
  * Install history.en_US.txt into doc dir as changelog.gz.
  * Canonicalize Vcs-* fields.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sat, 20 Apr 2013 20:21:51 +0200

calendar-exchange-provider (3.2.0~beta8-1) experimental; urgency=low

  * New upstream release.
  * Update typelib generation and IDL include path in d/rules.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 18 Apr 2013 09:54:39 +0200

calendar-exchange-provider (3.2.0~beta6-1) experimental; urgency=low

  * Initial release. (Closes: #671652)

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 12 Apr 2013 20:03:06 +0200

=== debian/rules ===
#!/usr/bin/make -f

TYPELIB := python /usr/lib/icedove-devel/sdk/bin/typelib.py \
 -I"/usr/lib/icedove-devel/idl" \
 -I"interfaces/exchangeAddressBook/exchangeAbCard" \
 -I"interfaces/exchangeBaseItem" \
 -I"interfaces/exchangeTimeZones"

TOPDIRS := $(shell ls -d */)

%:
	dh $@ --with xul-ext --buildsystem=xul_ext

override_dh_auto_build:
	for idlfile in $$(find $(TOPDIRS) -type f -name *.idl); do \
		$(TYPELIB) -o $$(dirname $$idlfile)/$$(basename $$idlfile .idl).xpt $$idlfile; \
	done
	dh_auto_build

override_dh_auto_install:
	install-xpi -x 'chrome/skins/fugue/Fugue Icons README.txt' \
		$$(find $(TOPDIRS) -name *.idl -printf '-x %p ') \
		-x history.en_US.txt \
		calendar-exchange-provider.xpi

override_dh_installdocs:
	cp history.en_US.txt changelog
	dh_installdocs

override_dh_auto_clean:
	dh_auto_clean
	rm -f interfaces/*.xpt changelog

=== debian/watch ===
version=3
opts="uversionmangle=s/-Beta/~beta/" \
http://githubredir.debian.net/github/1stsetup/exchangecalendar/ .*/(\d+\.\d+\.\d+(?:-Beta\d+)?)\.tar\.gz

## calendar-exchange-provider 4.0.0~beta5

=== Makefile ===
version = $(shell cat VERSION)
excludefromxpi = .git/\* .gitignore \*/.gitignore .tx/\* \*.xpi \*.sh update\*.txt Makefile VERSION install.rdf.template
releasebranch = ec-4.0
update = disable
xpi = exchangecalendar-v$(version).xpi

.PHONY: build release l10n-get l10n-auto-commit l10n-push dev beautify beautify-xml beautify-js defaults/preferences/update.js $(xpi)

# Default target is build package
build: $(xpi)

$(xpi): install.rdf defaults/preferences/update.js
	rm -f $@
	zip -r $@ -x $(excludefromxpi) -- .

install.rdf: install.rdf.template
	sed 's/@VERSION@/$(version)/g' $< > $@

defaults/preferences/update.js:
	cp defaults/preferences/update_$(update).txt $@

# Target to publish a new release:
release: build
	git tag "v$(version)"
	@echo 'Build done, tag added.'
	@echo 'Now, if the release is well done, please run one "git push" to publish code and one "git push v$(version)" to publish the new tag.'

# Targets to update translations
# Requires an already configured Transifex client: https://docs.transifex.com/client/introduction
# This project has a .tx/ directory which references currently known localisation files

# Get translations updates from Transifex
l10n-get:
	git checkout $(releasebranch)
	tx pull -a

l10n-auto-commit: l10n-get
	git add -- locale interfaces/exchangeAddressBook/locale/
	-git commit -m 'l10n: automatic translations updates'

# Send new texts to translate to Transifex
l10n-push:
	git checkout $(releasebranch)
	tx push -s

# Target to beautify and build your code while developing it
dev: beautify build

# Beautifier are configured to use indentation with 4 spaces
beautify: beautify-xml beautify-js

beautify-xml:
	find . \( -name "*.xml" -o -name "*.xul" \) \
		-a \( \! -wholename "./calendar/interface/exchangeTimeZones/ewsTimesZoneDefinitions_2007.xml" \) \
		-exec \
		tidy --input-xml yes --indent auto --indent-spaces 4 --indent-attributes yes \
		--preserve-entities yes --quote-ampersand no --quote-nbsp no --output-xml yes \
		--strict-tags-attributes no --write-back yes \
		{} \;
	# For rdf files, we don't want to wrap lines to keep em:description on one line.
	find . \( -name "*.rdf" -o -name "*.rdf.template" \) -exec \
		tidy --input-xml yes --indent auto --indent-spaces 4 --indent-attributes yes \
		--preserve-entities yes --quote-ampersand no --quote-nbsp no --output-xml yes \
		--strict-tags-attributes no --write-back yes --wrap 0 \
		{} \;
beautify-js:
	find . -name "*.js" -exec \
		js-beautify --indent-size=4 --indent-char=' ' --jslint-happy \
		--operator-position after-newline --brace-style end-expand --replace \
		--end-with-newline \
		{} \;

## calendar-exchange-provider 3.2.0~beta47

=== debian/changelog ===
calendar-exchange-provider (3.2.0~beta47-1) unstable; urgency=low

  * New upstream release.
  * By default, don't ask upstream server for plugin updates (Closes: #721402).
  * Fix override_dh_auto_clean target.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Tue, 03 Sep 2013 18:38:02 +0200

=== debian/control ===
Source: calendar-exchange-provider
Section: mail
Priority: optional
Maintainer: Jakub Adam <jakub.adam@ktknet.cz>
Build-Depends: debhelper (>= 9~), mozilla-devscripts, icedove-dev (>= 17.0.0), python-ply
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/collab-maint/calendar-exchange-provider.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/calendar-exchange-provider.git
Homepage: http://www.1st-setup.nl/wordpress/?page_id=133

Package: calendar-exchange-provider
Architecture: all
Depends: ${misc:Depends}, ${xpi:Depends}, iceowl-extension
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Breaks: ${xpi:Breaks}
Description: MS Exchange support for iceowl-extension
 This plugin allows one to communicate with an Exchange 2007 or 2010 server
 using the Exchange Web Service (EWS) interface.
 .
 Plugin works with the Exchange Webservice Server of Exchange 2007 or 2010 or
 that from Microsoft Office 365.
 .
 With this plugin, you can perform these tasks from within Icedove/Thunderbird:
 .
  * Sync Calendar and Task/Todo items from an EWS (Exchange) server. Syncing is
    done on a user settable poll interval. It will track changes on the server
    and update the local memory cache.
  * Create, modify and delete calendar events and Task/Todo items. They will get
    synced immediately with the EWS server.
  * During creation of a new calendar you can use the Exchange Autodiscover
    functionality (when enabled on the Exchange server) to find the right server
    and mailbox settings. Selecting the right folder is easy with the build-in
    folder browser.
  * Access any Calendar or Task folder on your EWS server as long as you have
    the right primary SMTP or alias email address and access permissions.
  * Poll your inbox for meeting invitation request or cancellations. They will
    show up in your calendar.
  * Manage how meeting invitations or cancellations are automatically handled
    (responded to).
  * Add as many calendar objects as you wish and iceowl-extension will allow.
  * Manage "Out of Office" settings for each calendar mailbox
  * Import ICS files.
  * Manage and view attachments.
  * Look at user availability (Free/Busy) information.

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,7 @@
 	install-xpi -x 'chrome/skins/fugue/Fugue Icons README.txt' \
 		$$(find $(TOPDIRS) -name *.idl -printf '-x %p ') \
 		-x history.en_US.txt \
+		-x defaults/preferences/debug.js \
 		calendar-exchange-provider.xpi
 
 override_dh_installdocs:
@@ -29,4 +30,4 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -f interfaces/*.xpt changelog
+	find -type f -name *.xpt -delete

## calendar-exchange-provider 3.4.0

=== debian/changelog ===
calendar-exchange-provider (3.4.0-2~bpo80+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports. (Closes: #807414)

 -- Mechtilde Stehmann <ooo@mechtilde.de>  Sun, 17 Jan 2016 17:16:20 +0100

calendar-exchange-provider (3.4.0-2) unstable; urgency=low

  * correct watch file, insert v for version
  * add changelog to override_dh_auto_clean (Closes: #807027)
  * change version of icedove-dev for build dependency

 -- Mechtilde Stehmann <ooo@mechtilde.de>  Wed, 23 Dec 2015 10:10:39 +0100

calendar-exchange-provider (3.4.0-1) unstable; urgency=low

  * New upstream version (Closes: #758848).
  * Update wildcard path for images in debian/copyright.
  * Build against Icedove version 38 ESR.
  * Add debian/source/lintian-overrides to mitigate false positive
    lintian warning: "calendar-exchange-provider source: source-is-missing"
    (see: #799861).

 -- Mechtilde Stehmann <ooo@mechtilde.de>  Thu, 22 Oct 2015 18:15:36 +0200

calendar-exchange-provider (3.3.2-1) unstable; urgency=low

  * New upstream version.
  * debian/patches/remove-update-notification.patch:
    - Add patch to disable update notification (Closes: #780282).
  * debian/control:
    - Re-activate Vcs-* fields.

 -- Mechtilde Stehmann <ooo@mechtilde.de>  Sat, 23 May 2015 19:14:57 +0200

calendar-exchange-provider (3.3.1-1) unstable; urgency=low

  * New upstream version

 -- Mechtilde Stehmann <ooo@mechtilde.de>  Fri, 03 Apr 2015 14:19:21 +0200

calendar-exchange-provider (3.2.2+20141222.git9e95cf7-1) unstable; urgency=low

  * New upstream snapshot (Closes: #769504).
    - Works with Icedove >= 30 (Closes: #750201)
    - Add German translation to install.rdf
  * New maintainer (Closes: #773352).
  * Upload to unstable.
  * Drop debian/patches/fix-install-rdf.patch, merged upstream.
  * Drop debian/patches/fix-mivExchangeItemsManager-idl-include.patch,
    merged upstream.

 -- Mechtilde Stehmann <ooo@mechtilde.de>  Sun, 28 Dec 2014 13:31:31 +0100

calendar-exchange-provider (3.2.0~beta53-1) experimental; urgency=low

  * New upstream release (Closes: #728802)
    - added Russian translation,
    - fixed problem with new versions of Office365 and Exchange2013.
  * Build-Depends on icedove-dev (>= 24.0).
  * Added d/patches/fix-install-rdf.patch.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Tue, 05 Nov 2013 18:57:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: calendar-exchange-provider
 Section: mail
 Priority: optional
-Maintainer: Jakub Adam <jakub.adam@ktknet.cz>
-Build-Depends: debhelper (>= 9~), mozilla-devscripts, icedove-dev (>= 17.0.0), python-ply
-Standards-Version: 3.9.4
+Maintainer: Mechtilde Stehmann <ooo@mechtilde.de>
+Build-Depends: debhelper (>= 9), mozilla-devscripts, icedove-dev (>= 31.0), python-ply
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/calendar-exchange-provider.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/calendar-exchange-provider.git
-Homepage: http://www.1st-setup.nl/wordpress/?page_id=133
+Homepage: https://github.com/Ericsson/exchangecalendar
 
 Package: calendar-exchange-provider
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+#export DH_VERBOSE=1
+#export DH_OPTIONS=-v
 
 TYPELIB := python /usr/lib/icedove-devel/sdk/bin/typelib.py \
  -I"/usr/lib/icedove-devel/idl" \
@@ -21,13 +23,16 @@
 	install-xpi -x 'chrome/skins/fugue/Fugue Icons README.txt' \
 		$$(find $(TOPDIRS) -name *.idl -printf '-x %p ') \
 		-x history.en_US.txt \
+		-x license.txt \
 		-x defaults/preferences/debug.js \
 		calendar-exchange-provider.xpi
 
 override_dh_installdocs:
-	cp history.en_US.txt changelog
+	cp history.en_US.txt Changelog
 	dh_installdocs
 
 override_dh_auto_clean:
 	dh_auto_clean
 	find -type f -name *.xpt -delete
+	find -type f -name Changelog -delete
+

=== debian/watch ===
version=3
opts="uversionmangle=s/-Beta/~beta/;s/-rc/~rc/,filenamemangle=s/.*\/v?(\d+\.\d+\.\d+(?:-(Beta|rc)\d+)?)\.tar\.gz/exchangecalendar-$1.tar.gz/" \
https://github.com/Ericsson/exchangecalendar/releases/ .*/v?(\d+\.\d+\.\d+(?:-rc\d+)?)\.tar\.gz

## calendar-exchange-provider 3.8.0

=== debian/changelog ===
calendar-exchange-provider (3.8.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Mechtilde Stehmann <ooo@mechtilde.de>  Sat, 14 Jan 2017 09:27:27 +0100

calendar-exchange-provider (3.8.0-1) unstable; urgency=low

  * New upstream release
    + Fixed "Event edit form broken by exchangecalendar" 
      https://github.com/Ericsson/exchangecalendar/issues/485
      (closes: #827800)
  * upload to unstable

 -- Mechtilde Stehmann <ooo@mechtilde.de>  Sun, 31 Jul 2016 08:11:52 +0200

calendar-exchange-provider (3.8~beta3-1) experimental; urgency=low

  * New upstream release
  * correct URL for VCS

 -- Mechtilde Stehmann <ooo@mechtilde.de>  Sat, 25 Jun 2016 10:27:55 +0200

calendar-exchange-provider (3.7.0-1) unstable; urgency=low

  * New upstream release
  * correct copyright file with cme
  * Bump Standard-Version to 3.9.8, no changes needed

 -- Mechtilde Stehmann <ooo@mechtilde.de>  Tue, 26 Apr 2016 18:59:16 +0200

calendar-exchange-provider (3.5.0-1~bpo8+1) jessie-backports; urgency=low

  * Rebuild for jessie-backports
  
 -- Mechtilde Stehmann <ooo@mechtilde.de>  Sun, 07 Feb 2016 10:48:11 +0100
 

calendar-exchange-provider (3.5.0-1) UNRELEASED; urgency=low

  * New upstream release

 -- Mechtilde Stehmann <ooo@mechtilde.de>  Sun, 17 Jan 2016 21:59:12 +0100
 

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: mail
 Priority: optional
 Maintainer: Mechtilde Stehmann <ooo@mechtilde.de>
-Build-Depends: debhelper (>= 9), mozilla-devscripts, icedove-dev (>= 31.0), python-ply
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/calendar-exchange-provider.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/calendar-exchange-provider.git
+Build-Depends: debhelper (>= 9), mozilla-devscripts, icedove-dev (>= 38.7), python-ply
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/calendar-exchange-provider.git/
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/calendar-exchange-provider.git/
 Homepage: https://github.com/Ericsson/exchangecalendar
 
 Package: calendar-exchange-provider

## calendar-exchange-provider 3.9.0

=== debian/changelog ===
calendar-exchange-provider (3.9.0-3) unstable; urgency=low

  * build for unstable (Closes: #857889)
    + after Thunderbird coming into Sid
    + unblock request because of mizilla exeption

 -- Mechtilde Stehmann <mechtilde@debian.org>  Thu, 16 Mar 2017 18:53:00 +0100

calendar-exchange-provider (3.9.0-2) experimental; urgency=low

  * adopt Depends field due Icedove/Thunderbird transition
    + change depends in control
    + change TYPELIB in rules

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sat, 28 Jan 2017 10:52:03 +0100

calendar-exchange-provider (3.9.0-1) unstable; urgency=medium

  * New upstream release
  * Change E-Mail address of Maintainer after becoming DD in control and
    in changelog

 -- Mechtilde Stehmann <mechtilde@debian.org>  Thu, 12 Jan 2017 17:47:17 +0100

calendar-exchange-provider (3.5.0-1) unstable; urgency=low

  * New upstream release

 -- Mechtilde Stehmann <ooo@mechtilde.de>  Sun, 17 Jan 2016 21:59:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: calendar-exchange-provider
 Section: mail
 Priority: optional
-Maintainer: Mechtilde Stehmann <ooo@mechtilde.de>
-Build-Depends: debhelper (>= 9), mozilla-devscripts, icedove-dev (>= 38.7), python-ply
+Maintainer: Mechtilde Stehmann <mechtilde@debian.org>
+Build-Depends: debhelper (>= 9), mozilla-devscripts, icedove-dev (>= 45) | thunderbird-dev, python-ply
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/calendar-exchange-provider.git/
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/calendar-exchange-provider.git/
@@ -10,7 +10,7 @@
 
 Package: calendar-exchange-provider
 Architecture: all
-Depends: ${misc:Depends}, ${xpi:Depends}, iceowl-extension
+Depends: ${misc:Depends}, ${xpi:Depends}, iceowl-extension | lightning
 Recommends: ${xpi:Recommends}
 Provides: ${xpi:Provides}
 Enhances: ${xpi:Enhances}

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,8 @@
 #export DH_VERBOSE=1
 #export DH_OPTIONS=-v
 
-TYPELIB := python /usr/lib/icedove-devel/sdk/bin/typelib.py \
- -I"/usr/lib/icedove-devel/idl" \
+TYPELIB := python /usr/lib/thunderbird-devel/sdk/bin/typelib.py \
+ -I"/usr/lib/thunderbird-devel/idl" \
  -I"interfaces/exchangeAddressBook/exchangeAbCard" \
  -I"interfaces/exchangeBaseItem" \
  -I"interfaces/exchangeTimeZones"

## calendar-exchange-provider 4.0.0~beta4

=== debian/changelog ===
calendar-exchange-provider (4.0.0~beta4-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports
    + fixed problems with new thunderbird 52.x in Stretch
    + (Closes: #872931)

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sat, 09 Sep 2017 09:37:58 +0200

=== debian/control ===
--- 
+++ 
@@ -2,27 +2,27 @@
 Section: mail
 Priority: optional
 Maintainer: Mechtilde Stehmann <mechtilde@debian.org>
-Build-Depends: debhelper (>= 9), mozilla-devscripts, icedove-dev (>= 45) | thunderbird-dev, python-ply
+Build-Depends: debhelper (>= 9), mozilla-devscripts, thunderbird-dev (>= 52), python-ply
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/calendar-exchange-provider.git/
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/calendar-exchange-provider.git/
-Homepage: https://github.com/Ericsson/exchangecalendar
+Homepage: https://github.com/ExchangeCalendar/exchangecalendar
 
 Package: calendar-exchange-provider
 Architecture: all
-Depends: ${misc:Depends}, ${xpi:Depends}, iceowl-extension | lightning
+Depends: ${misc:Depends}, ${xpi:Depends}, thunderbird (>= 52), lightning
 Recommends: ${xpi:Recommends}
 Provides: ${xpi:Provides}
 Enhances: ${xpi:Enhances}
 Breaks: ${xpi:Breaks}
-Description: MS Exchange support for iceowl-extension
+Description: MS Exchange support for Thunderbird/Lightning
  This plugin allows one to communicate with an Exchange 2007 or 2010 server
  using the Exchange Web Service (EWS) interface.
  .
  Plugin works with the Exchange Webservice Server of Exchange 2007 or 2010 or
  that from Microsoft Office 365.
  .
- With this plugin, you can perform these tasks from within Icedove/Thunderbird:
+ With this plugin, you can perform these tasks from within Thunderbird:
  .
   * Sync Calendar and Task/Todo items from an EWS (Exchange) server. Syncing is
     done on a user settable poll interval. It will track changes on the server

=== debian/rules ===
--- 
+++ 
@@ -22,14 +22,18 @@
 override_dh_auto_install:
 	install-xpi -x 'chrome/skins/fugue/Fugue Icons README.txt' \
 		$$(find $(TOPDIRS) -name *.idl -printf '-x %p ') \
-		-x history.en_US.txt \
+		-x CHANGELOG.md \
 		-x license.txt \
 		-x defaults/preferences/debug.js \
 		calendar-exchange-provider.xpi
 
 override_dh_installdocs:
-	cp history.en_US.txt Changelog
+	cp CHANGELOG.md Changelog
 	dh_installdocs
+
+	mkdir -p $(CURDIR)/debian/calendar-exchange-provider/usr/share/xul-ext/calendar-exchange-provider/defaults/preferences/
+	cd $(CURDIR)/debian/calendar-exchange-provider/usr/share/xul-ext/calendar-exchange-provider/defaults/preferences/ && \
+		cp update_disable.txt update.js
 
 override_dh_auto_clean:
 	dh_auto_clean

## calendar-exchange-provider 4.0.0~beta5

=== debian/changelog ===
calendar-exchange-provider (4.0.0~beta5-1) unstable; urgency=medium

  * New upstream release (Closes: #895853)
    + Remove defaults/preferences/.gitignore
    + Move install.rdf. to template install.rdf
  * Closes: #897155 This is the last update for Thunderbird 52.x
  * Closes: #807699 no more information, works for me
  * Add debian/source/lintian-overrides to mitigate false positive lintian
    warning: "calendar-exchange-provider source: source-is-missing"
    (see: #799861)
  * Clean packaging
    + Remove whitespaces in debian/changelog
    + copyright - changing to https and cleaning

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sat, 16 Jun 2018 07:15:33 +0200

calendar-exchange-provider (4.0.0~beta4-1) unstable; urgency=medium

  * New upstream release
  * Bump Standard-Version to 4.0.0, no changes needed
  * Change patching into rules
  * Correct typos in changelog

 -- Mechtilde Stehmann <mechtilde@debian.org>  Fri, 25 Aug 2017 19:14:23 +0200

calendar-exchange-provider (4.0.0~beta2-1) unstable; urgency=medium

  * New upstream release
    + Changing history_en_US.txt to CHANGELOG.md
  * Changing dependency and build dependency in control (>= 52)
  * Adapt description to thunderbird transition
  * Analog to thunderbird bump to sid

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sun, 18 Jun 2017 20:20:56 +0200

calendar-exchange-provider (4.0.0~beta1-1) experimental; urgency=low

  * New upstream release for using with thunderbird 52.x
    + (Closes: #864484)
  * Changed upstream URL in control and watch

 -- Mechtilde Stehmann <mechtilde@debian.org>  Fri, 09 Jun 2017 18:04:59 +0200

calendar-exchange-provider (3.9.0-4) unstable; urgency=low

  * debian/patches/bugfix-854025.patch:
    - Add patch: accepting events should work now (Closes: #854025)
  * fixed typo in the last changelog entry

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sat, 08 Apr 2017 14:45:28 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: mail
 Priority: optional
 Maintainer: Mechtilde Stehmann <mechtilde@debian.org>
-Build-Depends: debhelper (>= 9), mozilla-devscripts, thunderbird-dev (>= 52), python-ply
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/calendar-exchange-provider.git/
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/calendar-exchange-provider.git/
+Build-Depends: debhelper (>= 11), mozilla-devscripts, thunderbird-dev (>= 52), python-ply
+Standards-Version: 4.1.4
+Vcs-Git: https://salsa.debian.org/debian/calendar-exchange-provider.git/
+Vcs-Browser: https://salsa.debian.org/debian/calendar-exchange-provider
 Homepage: https://github.com/ExchangeCalendar/exchangecalendar
 
 Package: calendar-exchange-provider

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,13 @@
 #!/usr/bin/make -f
-#export DH_VERBOSE=1
-#export DH_OPTIONS=-v
+export DH_VERBOSE=1
+export DH_OPTIONS=-v
 
 TYPELIB := python /usr/lib/thunderbird-devel/sdk/bin/typelib.py \
  -I"/usr/lib/thunderbird-devel/idl" \
- -I"interfaces/exchangeAddressBook/exchangeAbCard" \
- -I"interfaces/exchangeBaseItem" \
- -I"interfaces/exchangeTimeZones"
+ -I"addressbook/interface/exchangeAbCard" \
+ -I"common/interface/exchangeBaseItem" \
+ -I"calendar/interface/exchangeTimeZones" \
+ -I"common/interface/xml2jxon"
 
 TOPDIRS := $(shell ls -d */)
 
@@ -17,11 +18,12 @@
 	for idlfile in $$(find $(TOPDIRS) -type f -name *.idl); do \
 		$(TYPELIB) -o $$(dirname $$idlfile)/$$(basename $$idlfile .idl).xpt $$idlfile; \
 	done
+	rm defaults/preferences/.gitignore
+	mv install.rdf.template install.rdf
 	dh_auto_build
 
 override_dh_auto_install:
-	install-xpi -x 'chrome/skins/fugue/Fugue Icons README.txt' \
-		$$(find $(TOPDIRS) -name *.idl -printf '-x %p ') \
+	install-xpi $$(find $(TOPDIRS) -name *.idl -printf '-x %p ') \
 		-x CHANGELOG.md \
 		-x license.txt \
 		-x defaults/preferences/debug.js \
@@ -36,7 +38,7 @@
 		cp update_disable.txt update.js
 
 override_dh_auto_clean:
+	if test -e install.rdf; then mv install.rdf install.rdf.template; fi
 	dh_auto_clean
 	find -type f -name *.xpt -delete
 	find -type f -name Changelog -delete
-

## calendar-exchange-provider 5.0.0~alpha1

=== Makefile ===
--- 
+++ 
@@ -22,8 +22,8 @@
 # Target to publish a new release:
 release: build
 	git tag "v$(version)"
-	@echo 'Build done, tag added.'
-	@echo 'Now, if the release is well done, please run one "git push" to publish code and one "git push v$(version)" to publish the new tag.'
+	@echo 'Build done, tag localy added.'
+	@echo 'If the release is well done, please run "git push origin v$(version)" to publish the new tag.'
 
 # Targets to update translations
 # Requires an already configured Transifex client: https://docs.transifex.com/client/introduction

=== debian/changelog ===
calendar-exchange-provider (5.0.0~alpha1-1) unstable; urgency=high

  [ Mechtilde ]
  * New upstream version 5.0.0~alpha1
    + Works with thunderbird 60 (Closes:906730)

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sun, 21 Oct 2018 10:58:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: mail
 Priority: optional
 Maintainer: Mechtilde Stehmann <mechtilde@debian.org>
-Build-Depends: debhelper (>= 11), mozilla-devscripts, thunderbird-dev (>= 52), python-ply
+Build-Depends: debhelper (>= 11), mozilla-devscripts, python-ply
 Standards-Version: 4.1.4
 Vcs-Git: https://salsa.debian.org/debian/calendar-exchange-provider.git/
 Vcs-Browser: https://salsa.debian.org/debian/calendar-exchange-provider

## calendar-exchange-provider 5.0.0~alpha2

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 version = $(shell cat VERSION)
-excludefromxpi = .git/\* .gitignore \*/.gitignore .tx/\* \*.xpi \*.sh update\*.txt Makefile VERSION install.rdf.template
-releasebranch = ec-4.0
+excludefromxpi = .\* \*/.gitignore \*.xpi \*.sh update\*.txt Makefile VERSION install.rdf.template
 update = disable
 xpi = exchangecalendar-v$(version).xpi
 
-.PHONY: build release l10n-get l10n-auto-commit l10n-push dev beautify beautify-xml beautify-js defaults/preferences/update.js $(xpi)
+.PHONY: build release l10n-get l10n-auto-commit l10n-push dev beautify beautify-xml beautify-js defaults/preferences/update.js install.rdf $(xpi)
 
 # Default target is build package
 build: $(xpi)
@@ -31,7 +30,6 @@
 
 # Get translations updates from Transifex
 l10n-get:
-	git checkout $(releasebranch)
 	tx pull -a
 
 l10n-auto-commit: l10n-get
@@ -40,7 +38,6 @@
 
 # Send new texts to translate to Transifex
 l10n-push:
-	git checkout $(releasebranch)
 	tx push -s
 
 # Target to beautify and build your code while developing it
@@ -63,6 +60,7 @@
 		--preserve-entities yes --quote-ampersand no --quote-nbsp no --output-xml yes \
 		--strict-tags-attributes no --write-back yes --wrap 0 \
 		{} \;
+
 beautify-js:
 	find . -name "*.js" -exec \
 		js-beautify --indent-size=4 --indent-char=' ' --jslint-happy \

=== debian/changelog ===
calendar-exchange-provider (5.0.0~alpha2-1) unstable; urgency=medium

  [ Mechtilde ]
  * New upstream version 5.0.0~alpha2 (Closes:#915452)
  * changed: debian/control 
    + bump standard version to 4.2.1.5

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sat, 08 Dec 2018 20:37:22 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Mechtilde Stehmann <mechtilde@debian.org>
 Build-Depends: debhelper (>= 11), mozilla-devscripts, python-ply
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1.5
 Vcs-Git: https://salsa.debian.org/debian/calendar-exchange-provider.git/
 Vcs-Browser: https://salsa.debian.org/debian/calendar-exchange-provider
 Homepage: https://github.com/ExchangeCalendar/exchangecalendar

=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,12 @@
 export DH_VERBOSE=1
 export DH_OPTIONS=-v
 
-TYPELIB := python /usr/lib/thunderbird-devel/sdk/bin/typelib.py \
- -I"/usr/lib/thunderbird-devel/idl" \
- -I"addressbook/interface/exchangeAbCard" \
- -I"common/interface/exchangeBaseItem" \
- -I"calendar/interface/exchangeTimeZones" \
- -I"common/interface/xml2jxon"
+#TYPELIB := python /usr/lib/thunderbird-devel/sdk/bin/typelib.py \
+# -I"/usr/lib/thunderbird-devel/idl" \
+# -I"addressbook/interface/exchangeAbCard" \
+# -I"common/interface/exchangeBaseItem" \
+# -I"calendar/interface/exchangeTimeZones" \
+# -I"common/interface/xml2jxon"
 
 TOPDIRS := $(shell ls -d */)
 
@@ -15,9 +15,9 @@
 	dh $@ --with xul-ext --buildsystem=xul_ext
 
 override_dh_auto_build:
-	for idlfile in $$(find $(TOPDIRS) -type f -name *.idl); do \
-		$(TYPELIB) -o $$(dirname $$idlfile)/$$(basename $$idlfile .idl).xpt $$idlfile; \
-	done
+#	for idlfile in $$(find $(TOPDIRS) -type f -name *.idl); do \
+#		$(TYPELIB) -o $$(dirname $$idlfile)/$$(basename $$idlfile .idl).xpt $$idlfile; \
+#	done
 	rm defaults/preferences/.gitignore
 	mv install.rdf.template install.rdf
 	dh_auto_build
